/******************************************************************
 * @file  Receiver_Sync_Task.s.c
 * @brief:    [file description] 
 * @author: HUOHUO
 * @Date 2024年10月30日
 * COPYRIGHT NOTICE: ITTC
 * Change_date         Owner         Change_content
 * 2024年10月30日        HUOHUO       create file

*****************************************************************/
#include "receiver_sync_func.h"


#define ADDR_ALIGN(addr, val)   ((((uint32_t)(addr) + (2<<(val)) - 1)>>(val))<<(val)) 


 /*!   
 * @brief:  Receiver任务处理流程
 * @author:  HUOHUO
 * @Date:  2024年4月20日
 */
void Receiver_Sync_Task()
{
    g_time_start[0] = TIME_NS();
    uint16_t end_slot;
    uint16_t end_us;
    RUN_CNT(TRACE_RECEIVER_SYNC_ADDR, 0);
    

    //6. 计算流程
    Receiver_Sync_Proc();


    TRACE(TRACE_RECEIVER_SYNC_ADDR, 3, 100);
    RUN_CNT(TRACE_RECEIVER_SYNC_ADDR, 1);
    end_slot = TIME_SLOT();
    end_us =  TIME_NS();
    TRACE_MAX(TRACE_RECEIVER_SYNC_ADDR, 2, Time_offset(0) );

    return;
}


